onEvent('recipes', event => {

//Frosty Blossom Sapling
  event.shapeless('quark:blue_blossom_sapling', ['powah:dry_ice', 'minecraft:kelp', 'minecraft:kelp', 'minecraft:kelp'])

  //Remove Timber Frame
  event.remove({ output: 'supplementaries:timber_frame' })

  //Oak Sluice
  event.remove({ output: 'ftbsluice:oak_sluice' })
  event.shaped('ftbsluice:oak_sluice', [
  'S  ',
  'LG ',
  'GLL'
  ], {
    L: '#minecraft:logs',
    G: 'appliedenergistics2:wooden_gear',
    S: 'minecraft:stick'
  })

//Chunk Cooking
function clust(output, input) {
        event.smelting(output, input).xp(0.6);
      }


  clust('minecraft:quartz', 'emendatusenigmatica:quartz_chunk')
  clust('appliedenergistics2:certus_quartz_crystal', 'emendatusenigmatica:certus_quartz_chunk')
  clust('appliedenergistics2:charged_certus_quartz_crystal', 'emendatusenigmatica:charged_certus_quartz_chunk')
  clust('mekanism:fluorite_gem', 'emendatusenigmatica:fluorite_chunk')
  clust('emendatusenigmatica:bitumen_gem', 'emendatusenigmatica:bitumen_chunk')
  clust('thermal:cinnabar', 'emendatusenigmatica:cinnabar_chunk')
  clust('thermal:apatite', 'emendatusenigmatica:apatite_chunk')
  clust('emendatusenigmatica:potassium_nitrate_gem', 'emendatusenigmatica:potassium_nitrate_chunk')
  clust('emendatusenigmatica:arcane_gem', 'emendatusenigmatica:arcane_chunk')
  clust('emendatusenigmatica:dimensional_gem', 'emendatusenigmatica:dimensional_chunk')
  clust('emendatusenigmatica:ruby_gem', 'emendatusenigmatica:ruby_chunk')
  clust('emendatusenigmatica:sapphire_gem', 'emendatusenigmatica:sapphire_chunk')
  clust('emendatusenigmatica:peridot_gem', 'emendatusenigmatica:peridot_chunk')


  //Andesite
  event.shaped('minecraft:andesite', [
  '   ',
  'CPC',
  'PCP'
  ], {
    C: 'minecraft:cobblestone',
    P: 'botania:pebble',
  })

  //Cursed Earth
  event.shaped('miniutilities:cursed_earth', [
  'CCC',
  'CPC',
  'CCC'
  ], {
    C: 'minecraft:dirt',
    P: 'wstweaks:fragment',
  })

  //Remove Nether painting
  event.remove({ output: 'dimensional_cake_rebuilt:nether_cake' })

  //Time in a Bottle
  event.remove({ output: 'tiab:timeinabottle' })
  event.custom(
  {
    "type": "naturesaura:offering",
    "input": {
        "item": "kubejs:un_tiab"
    },
    "start_item": {
        "item": "naturesaura:calling_spirit"
    },
    "output": {
        "item": 'tiab:timeinabottle',
        "count": 1
    }
}
)

//Builder
event.remove({ output: 'rftoolsbuilder:builder' })
event.shaped('rftoolsbuilder:builder', [
'LGL',
'LSL',
'RFR'
], {
  L: 'simplyjetpacks:armorplating_te5_enderium',
  G: Item.of('astralsorcery:infused_crystal_pickaxe').ignoreNBT(),
  S: 'xnet:controller',
  R: 'witherproofed:reinforced_alloy',
  F: 'rftoolsbase:machine_frame'
})

//Machine Frame
event.remove({ output: 'rftoolsbase:machine_frame' })
event.shaped('rftoolsbase:machine_frame', [
'LGL',
'GSG',
'LGL'
], {
  L: 'fluxnetworks:flux_core',
  G: 'immersiveengineering:wire_steel',
  S: 'industrialforegoing:machine_frame_simple'
})

//Creative tank emptying
event.shapeless('mekanism:creative_fluid_tank', [Item.of('mekanism:creative_fluid_tank').ignoreNBT()])
event.shapeless('mekanism:creative_chemical_tank', [Item.of('mekanism:creative_chemical_tank').ignoreNBT()])

//Cast iron gear
event.shaped('rftoolsbase:machine_frame', [
'LGL',
'GSG',
'LGL'
], {
  L: 'fluxnetworks:flux_core',
  G: 'immersiveengineering:wire_steel',
  S: 'industrialforegoing:machine_frame_simple'
})

//Coal from tiny coal
event.shapeless('minecraft:coal', ['8x tinycoal:tinycoal'])

//Graphite block coal block removing
event.remove({ output: 'bigreactors:graphite_block' })
event.shaped('bigreactors:graphite_block', [
'LLL',
'LLL',
'LLL'
], {
  L: 'bigreactors:graphite_ingot'
})

//Angel ring removing
event.remove({ output: 'miniutilities:angel_ring' })

//Nutritious and Cursed GM chicken feed removing
  event.remove({ output: 'mob_grinding_utils:nutritious_chicken_feed' })
  event.remove({ output: 'mob_grinding_utils:gm_chicken_feed_cursed' })

//Mob earthes
event.remove({ output: 'miniutilities:cursed_earth' })
event.remove({ output: 'miniutilities:blessed_earth' })
event.remove({ output: 'miniutilities:blursed_earth' })


//Lumium and Signalum problem solving
event.remove({ output: 'emendatusenigmatica:lumium_dust' })
event.remove({ output: 'emendatusenigmatica:lumium_ingot' })
event.shaped('thermal:lumium_ingot', [
'LLL',
'L L',
'LLL'
], {
  L: 'mysticalagriculture:lumium_essence'
})
event.custom(
{"type":"immersiveengineering:metal_press",
"mold":{"item":"immersiveengineering:mold_plate"},
"result":{"item":'thermal:lumium_plate'},
"conditions":[{"value":{"tag":'forge:ingots/lumium', "type":"forge:tag_empty"},"type":"forge:not"},
{"value":{"item":'thermal:lumium_plate',"type":"forge:tag_empty"},
"type":"forge:not"}],
"input":{"count":4,"base_ingredient":{"item":'thermal:lumium_ingot'}},"energy":2400}
)

event.remove({ output: 'emendatusenigmatica:signalum_dust' })
event.remove({ output: 'emendatusenigmatica:signalum_ingot' })
event.shaped('thermal:signalum_ingot', [
'LLL',
'L L',
'LLL'
], {
  L: 'mysticalagriculture:signalum_essence'
})
event.custom(
{"type":"immersiveengineering:metal_press",
"mold":{"item":"immersiveengineering:mold_plate"},
"result":{"item":'thermal:signalum_plate'},
"conditions":[{"value":{"tag":'forge:ingots/signalum',"type":"forge:tag_empty"},"type":"forge:not"},
{"value":{"item":'thermal:signalum_plate',"type":"forge:tag_empty"},
"type":"forge:not"}],
"input":{"count":4,"base_ingredient":{"item":'thermal:signalum_ingot'}},"energy":2400}
)

event.remove({ output: 'emendatusenigmatica:enderium_dust' })
event.remove({ output: 'emendatusenigmatica:enderium_ingot' })
event.shaped('thermal:enderium_ingot', [
'LLL',
'L L',
'LLL'
], {
  L: 'mysticalagriculture:enderium_essence'
})
event.custom(
{"type":"immersiveengineering:metal_press",
"mold":{"item":"immersiveengineering:mold_plate"},
"result":{"item":'thermal:enderium_plate'},
"conditions":[{"value":{"tag":'forge:ingots/enderium',"type":"forge:tag_empty"},"type":"forge:not"},
{"value":{"item":'thermal:enderium_plate',"type":"forge:tag_empty"},
"type":"forge:not"}],
"input":{"count":4,"base_ingredient":{"item":'thermal:enderium_ingot'}},"energy":2400}
)


//Draconium Ingot from Essence
event.shaped('draconicevolution:draconium_ingot', [
'LLL',
'L L',
'LLL'
], {
  L: 'mysticalagriculture:draconium_essence'
})


// Charged Certus Quartz conversion
event.shapeless('appliedenergistics2:charged_certus_quartz_crystal', ['emendatusenigmatica:charged_certus_quartz_gem'])


//PowerPots

function pot(output, mid, bot, top, side) {
        event.shaped(output, [
        'TTT',
        'SMS',
        'BSB'
        ], {
          M: mid,
          B: bot,
          T: top,
          S: side,
        })
      }

pot('ftb-power-pots:power_pot_mk1', 'botanypots:hopper_botany_pot', 'minecraft:prismarine_crystals', 'immersiveengineering:wirecoil_steel', '#forge:ingots/steel')
pot('ftb-power-pots:power_pot_mk2', 'ftb-power-pots:power_pot_mk1', 'naturesaura:sky_ingot', 'appliedenergistics2:fluix_glass_cable', 'industrialforegoing:pink_slime_ingot')
pot('ftb-power-pots:power_pot_mk3', 'ftb-power-pots:power_pot_mk2', 'bloodmagic:reinforcedslate', 'pneumaticcraft:unassembled_pcb', 'pneumaticcraft:capacitor')
pot('ftb-power-pots:power_pot_mk4', 'ftb-power-pots:power_pot_mk3', 'botania:gaia_ingot', 'mekanism:ingot_refined_obsidian', 'mekanism:teleportation_core')

event.shaped('thermal:invar_block', [
'LLL',
'LLL',
'LLL'
], {
  L: 'thermal:invar_ingot'
})
})
